Embedder version 1.3.2 released

Yup, another bug-fix-only release.  It seems that my attempts to make Embedder compatible with PHP4 introduced a problem for some people trying to create embeds, which is not good, obviously, so I’ve posted a quick fix for the problem.

Please continue to let me know if any of you are having problems (and successes!). Without any feedback I can’t tell (beyond my own testing) whether the plugin is being used successfully by everyone of if it’s breaking hopelessly as soon as you install it!

This entry was posted in Embedder Plugin. Bookmark the permalink.

4 Responses to Embedder version 1.3.2 released

  1. phil says:

    Thanks Mike, with 1.3.1 I couldn’t saving embeds after editing because saving cause whitescreen and 1.3.2 fix the problem. As to whitescreen caused by new parser, it is possible that multisite mode is the reason? because the new parser works fine locally in the single site mode and my online installation is using multisite function.

    • moztools says:

      I really don’t know, to be honest, but anything is possible, I guess. I haven’t played with the new multisite option, though I am using a plugin that provided the same functionality before 3.0 came along. I can’t think of a reason why it would fail because of multisite operation.

      However, it’s probably more likely to be an interaction with another plugin that is causing the problems, or possibly even something in your software stack that is a little different somehow. Embedder does hook into several filters and actions, and I guess it’s possible that either Embedder or another plugin is doing something it should not be doing.

      What I could do is add some tracing into a later version that you can turn on and gather some debug information and pass it on to me then at least I would be able to tell where in the code the failure was.

      Mike

  2. Rumli says:

    Hey Mike,

    What about a new release of Embedder? Get back coding! 😉

  3. Will Chapman says:

    Getting php warnings from Embedder 1.3.2 and WP 3.4.1

    [13-Jun-2013 14:24:08 Europe/London] PHP Warning: array_merge() [function.array-merge]: Argument #2 is not an array in /home/waterway/public_html/alrewascanalfestival.org/wp-content/plugins/embedder/nbbc-1.4.5/nbbc.php on line 1106

    Regards

    Will Chapman